## galeon 2.0.7

=== debian/changelog ===
galeon (2.0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use binary-predeb/galeon:: again in debian/rules, as dh_xulrunner isn't
    called when using build-install/galeon:: (Closes: #567977)
  * Urgency set to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 12 Apr 2010 17:00:40 +0200

galeon (2.0.7-2) unstable; urgency=low

  [ Paul Wise ]
  * Drop myself from Uploaders, I'm mainly sponsoring.

  [ Fabio Bonelli ]
  * Standards-Version 3.8.4: switch to dpkg-source 3.0 (quilt) format. 
  * Add galeon-common.doc-base.
  * Add cross_site_bookmarklets.diff: deal with CVE-2007-1084 bookmarklets
    cross-site info disclosure displaying a warning (Closes: #556270)
  * Move Galeon manpage to galeon package and do update-alternatives on
    postinst there. (Closes: #531010)
  * Move menu, icon and desktop file to galeon package in order to avoid
    confusion when only galeon-common is installed on a system.
  * Add 20_warn-external.patch: don't warn on certain external handlers in
    order to restore proper mailto: functionality. (Closes: #405387)
  * Works with xulrunner-1.9.1, added 80_GRE_version.patch that supersedes
    30_gre-range.patch. Thanks to Mike Hommey <mh+reportbug@glandium.org>.
   (Closes: #548673, #536593)
  * Add 86_gnome_network_properties.patch: gnome-network-preferences was
    renamed in GNOME 2.26, thanks to Fabrice Lorrain for reporting the bug
    (Closes: #556077)
  * Add 87_startpage_about_blank.patch: Don't use the not working myportal:
    as a startpage for now. (Closes: #490645)
  * Add session_fixes.diff: Use ~/.galeon/session_crashed.xml even if 
    started with --load-session. Patch by Michel Dänzer <daenzer@debian.org>.
    (Closes: #574581)

 -- Fabio Bonelli <fabiobonelli@libero.it>  Sun, 21 Mar 2010 13:55:53 +0200

galeon (2.0.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes FTBFS of galeon due to invalid conversion (Closes: #560469)
    (Thanks to Mike Hommey <mh@glandium.org> for providing the patch)
  * Make galeon installable again (Closes: #566557)
    - moved galeon-common.postinst to galeon.postinst
    - moved galeon-common.prerm to galeon.prerm

 -- Patrick Winnertz <winnie@debian.org>  Sun, 24 Jan 2010 16:46:03 +0100

galeon (2.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548673)
  * debian/rules: Use dh_xulrunner
  * debian/control:
    - Build-depend on a xulrunner-dev that provides dh_xulrunner.
    - Let dh_xulrunner fill shlibs:Depends with the proper xulrunner
      dependency.
  * debian/patches/80_GRE_version.patch: Tighten the GREVersionRange.
  * debian/patches/81_xulrunner-1.9.1.patch: Adapt some code to the 1.9.1 API.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 18:29:36 +0200

galeon (2.0.7-1) unstable; urgency=low

  [ Fabio Bonelli ]
  * New Maintainer (Closes: #381028)
  * New upstream version: 2.0.7 "Surprise!" (Closes: #500624)
    - Works with Firefox 2/3 and Xulrunner 1.8/1.9
    - Restored support for http authentication by Mike Hommey <mh@glandium.org>
    - Restored support for remembering passwords. (Closes: #489609)
    - Partially restored support for user stylesheets.
    - Effect is global rather than per page but UI doesn't reflect this.
    - Thanks to Philipp Kaluza <pk+debs@yomu.de> for his packaging work.
  * This version also fixes the following things:
    - navigator.productSub is back (closes: #491100)
    - about: page (closes: #489709)
  * Drop Mike's 60_http-auth.patch, applied upstream.
  * Update 70_autofoo.patch.
  * Build-depend on intltool.
  * New patch, 75_gtkprint, use GtkPrint. (Closes: #489707, #288604, #173891)

  [ Paul Wise ]
  * Remove homepage psuedo-fields from the package descriptions
  * Build-depend on autotools-dev so it can build on AVR32
  * Make the short description of the -common package better
  * Link to the right version of the GPL in the copyright file
  * Bump Standards-Version, no changes needed
  * Add myself to the uploaders field
  * Update tmpdir patch so that galeon cleans up after itself
  * Add additional copyright year for new files

 -- Fabio Bonelli <fabiobonelli@libero.it>  Sun, 26 Apr 2009 14:37:12 +0200

galeon (2.0.6-2.1) unstable; urgency=high

  * Workaround to RC bug: world-readable temporary files when using helper
    apps.  Thanks to Lionel Elie Mamane <lmamane@debian.org>.
    Closes: #514428

 --  Fabio Bonelli <fabiobonelli@libero.it>  Sun, 08 Feb 2009 21:55:46 +0100

galeon (2.0.6-2) unstable; urgency=low

  * New patch, 50_configure-tests-flags, use proper CFLAGS/LDFLAGS/CPPFLAGS
    when testing mozilla features (use the commented out ones); update
    70_autofoo by re-running autoconf.
  * Bump up Standards-Version to 3.8.0.
  * New patch, 71_desktop-file-encoding, drop Encoding from .desktop file as
    it's deprecated and UTF-8 is required anyway.
  * Drop obsolete overrides.
  * New patch, 72_man-page-hyphen, fix escaping of "-" in man page.

 -- Loic Minier <lool@dooz.org>  Tue, 05 Aug 2008 10:57:03 +0200

galeon (2.0.6-1) unstable; urgency=low

  * New upstream release, "Pining for the Fjords".
    - Remove patches 61_no-prefix-before-includes, 69_get-message-moz,
      67_nsimpl-support-gtknssclientauthdialogs, 64_force-prompt,
      63_mozilla-config-no-path, 60_user-agent-flag,
      71_disable-external-protocol-service, 68_register-comps-frozen-linkage,
      66_non-threadsafe-gconsolemessage-isupports,
      62_libxul-embedding-unstable, 65_nsiuri-filepicker, 70_startup-glue:
      merged upstream (woohoo!).
    - Drop patch 90_autotools, not needed anymore.
  * Add support for HTTP auth, thanks Mike Hommey; closes: #489420.
    - New patch, 60_http-auth, check for nsIPromptService2.h and implement
      this interface in mozilla/EphyPromptService.cpp if present.
    - New patch, 70_autofoo, "autoconf && autoheader && rm -rf autom4te.cache
      config.h.in~".


