=== debian/control ===
Source: galeon
Section: gnome
Priority: optional
Maintainer: Fabio Bonelli <fabiobonelli@libero.it>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.41),
               autotools-dev,
               sharutils,
               libbonobo2-dev,
               libbonoboui2-dev,
               libglade2-dev,
               libgnomeui-dev (>= 2.8.1-3),
               libxml2-dev,
               libgconf2-dev,
               libglib2.0-dev,
               libgnomevfs2-dev (>= 2.10),
               libgnome-desktop-dev (>= 2.10),
               libgtk2.0-dev,
               liborbit2-dev,
               xulrunner-dev (>= 1.9.1.3-2),
               libnspr4-dev,
               iso-codes,
               intltool,
               libxml-parser-perl,
               scrollkeeper,
               lsb-release,
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-galeon
Vcs-Browser: http://svn.debian.org/wsvn/pkg-galeon
Homepage: http://galeon.sourceforge.net/

Package: galeon
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         procps,
         galeon-common,
Recommends: gnome-icon-theme (>= 1.1.3-1),
            yelp,
            scrollkeeper,
            iso-codes,
            gnome-control-center
Suggests: mozplugger
Provides: www-browser,
          gnome-www-browser
Replaces: galeon-common
Description: GNOME web browser for advanced users
 A standards compliant web browser, which integrates well with the GNOME
 desktop environment.  It does not include an email client, irc bot, website
 designer etc., therefore has a moderate resource usage.  Internally the
 program uses Mozilla's Gecko rendering engine to display the web pages so
 is fully feature complete and standards compliant, as well as rendering pages
 quickly.

Package: galeon-common
Architecture: all
Recommends: galeon
Depends: ${misc:Depends}
Description: data for the galeon web browser
 A standards compliant web browser, which integrates well with the GNOME
 desktop environment.  It does not include an email client, irc bot, website
 designer etc., therefore has a moderate resource usage.  Internally the
 program uses Mozilla's Gecko rendering engine to display the web pages so
 is fully feature complete and standards compliant, as well as rendering pages
 quickly.
 .
 This package contains architecture independent data such as translations and
 icons.
