=== debian/watch ===
version=3
http://sf.net/galeon/galeon-([0-9.]*).tar.gz
